ooo-build r13155 - in trunk: . bin
- From: jannieuw svn gnome org
- To: svn-commits-list gnome org
- Subject: ooo-build r13155 - in trunk: . bin
- Date: Fri, 11 Jul 2008 09:30:13 +0000 (UTC)
Author: jannieuw
Date: Fri Jul 11 09:30:13 2008
New Revision: 13155
URL: http://svn.gnome.org/viewvc/ooo-build?rev=13155&view=rev
Log:
2008-07-11 Jan Nieuwenhuizen <janneke gnu org>
* bin/gob-collapse-commits: Allow begin commit to have no parent.
* bin/gob-bump: Do not fail when working on pristine tree.
Modified:
trunk/ChangeLog
trunk/bin/gob-bump
trunk/bin/gob-collapse-commits
Modified: trunk/bin/gob-bump
==============================================================================
--- trunk/bin/gob-bump (original)
+++ trunk/bin/gob-bump Fri Jul 11 09:30:13 2008
@@ -18,7 +18,7 @@
. git-sh-setup
-function log() { grep -E "^(CONFLICT|Created commit|Merge)" || true; }
+function log() { grep -E "^(CONFLICT|Created commit|Merge)" || :; }
parse_config () {
while test $# != 0
@@ -94,7 +94,7 @@
if test -n "$one_after"
then
temp_branch=gob-bump/tmp/work
- git branch -D $temp_branch 2>&1 | log
+ git branch -D $temp_branch 2>&1 | log || :
git-checkout -b $temp_branch $latest_tag
git-reset --soft $this_branch
git-commit -m "Reset tree to state of previous gob tag: $latest_tag." -a 2>&1 | log
@@ -117,7 +117,7 @@
echo "Bumping: $update_branch"
## Keep commits in master this_branch, do all work with
## $update_branch: cannot seem to get around merging twice.
- git branch -D $update_branch 2>&1 | log
+ git branch -D $update_branch 2>&1 | log || :
git-checkout -b $update_branch
gob-collapse-commits $latest_tag
git-merge $new_changes 2>&1 | log
@@ -152,7 +152,7 @@
echo "Bumping: $branch"
temp_branch=gob-bump/tmp/$branch
temp_update=gob-bump/tmp/update
- git branch -D $temp_branch $temp_update 2>&1 | log
+ git branch -D $temp_branch $temp_update 2>&1 | log || :
git-checkout -b $temp_branch origin/$branch
git branch $temp_update $update_branch
if gob-update $temp_update 2>&1 | log
Modified: trunk/bin/gob-collapse-commits
==============================================================================
--- trunk/bin/gob-collapse-commits (original)
+++ trunk/bin/gob-collapse-commits Fri Jul 11 09:30:13 2008
@@ -14,7 +14,7 @@
begin_log=$(git show --pretty=raw $begin | head -3 | tr '\n' ' ')
begin_commit=$(expr "$begin_log" : '.*commit \([^ ]\+\)')
begin_tree=$(expr "$begin_log" : '.*tree \([^ ]\+\)')
-begin_parent=$(expr "$begin_log" : '.*parent \([^ ]\+\)')
+begin_parent=$(expr "$begin_log" : '.*parent \([^ ]\+\)'||:)
end_log=$(git show --pretty=raw $end | head -3 | tr '\n' ' ')
end_commit=$(expr "$end_log" : '.*commit \([^ ]\+\)')
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]